alias cdiff="colordiff"

[ -x "$(which gpg2)" ] && alias clean-gpg="for a in `gpg2 -k | sed -rn 's/pub +[a-z0-9]+\/(0x[0-9A-Fa-f]+).*/\1/p'`; do gpg2 --quiet --no-tty --edit-key $a clean save; done;"

alias diff="diff -W $(( $(tput cols) - 2))"

alias bz2c='bzip2 --best'
alias gzc='gzip --best --no-name'
alias xzc='xz --best --extreme'
alias extip='curl -LR1fs --compressed https://ipinfo.io/ | jq -Sc'
alias jjar='java -jar'
alias config='/usr/bin/git --git-dir=$HOME/.cfg/ --work-tree=$HOME'

function mkcdir () {
    mkdir -p -- "$1" &&
    cd -P -- "$1"
}

if [ -x "$(which lsb_release)" ];
then
    current_dist=`lsb_release -c -s`
    all_dkms_packages="`apt-cache rdepends --installed dkms | sed -rn 's/^ +([^ ]+)$/\1/p' | sort -iu`"
    if [ $use_sudo -eq 1 ];
    then
        alias aar='sudo apt-get --purge autoremove'
        alias adbu='sudo $apt_pref -t ${current_dist}-backports $apt_upgr'
        alias drd='[ -n "$all_dkms_packages" ] && sudo dpkg-reconfigure $all_dkms_packages'
    else
        alias aar='su -lc "apt-get --purge autoremove"'
        alias adbu='su -lc "$apt_pref -t ${current_dist}-backports $apt_upgr" root'
        alias drd='[ -n "$all_dkms_packages" ] && su -lc "dpkg-reconfigure $all_dkms_packages" root'
    fi
fi
